Package org.xnio

# Interface FileChangeCallback

public interface FileChangeCallback
Callback for file system change events

Author:
  Stuart Douglas
See Also:
  - `FileSystemWatcher`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleChanges(Collection<FileChangeEvent> changes)`
Method that is invoked when file system changes are detected.

## Method Details

### handleChanges

void handleChanges(Collection<FileChangeEvent> changes)
Method that is invoked when file system changes are detected.

Parameters:
  `changes` - the file system changes